<template>
    <div class="films">
        <div v-if="films.length > 0" class="films-list">
            <item-film v-for="(film, i) in films" :film="film" :index="i"> </item-film>
        </div>
        <div v-else class="empty">
            Список фильмов пуст
        </div>
    </div>
</template>

<script>
    import ItemFilm from "./ItemFilm";

    export default {
        props: {
            films: {
                required: true,
                type: Array
            }
        },
        components: {ItemFilm},
        name: "ListFilms"
    }
</script>

<style scoped>

</style>
